<?php
/**
 * A general hub helper class. This class does not extend BaseHelper.
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2015 Hub Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class BaseHubSystemHelper extends BaseHubSystem implements HubHelper {
	/**
	 * Recipient type
	 */
	private $recipientType = 'invalid';

	/**
	 * Package tags
	 */
	private $packageTags = array();

	/**
	 * Protected constructor
	 *
	 * @param	$className	Name of the concrete class
	 * @return	void
	 */
	protected function __construct ($className) {
		// Call parent constructor
		parent::__construct($className);
	}

	/**
	 * Setter for recipient type
	 *
	 * @return	$recipientType	Type of a recipient (the helper is made for)
	 */
	protected final function setRecipientType ($recipientType) {
		$this->recipientType = $recipientType;
	}

	/**
	 * Getter for recipient type
	 *
	 * @return	$recipientType	Type of a recipient (the helper is made for)
	 */
	public final function getRecipientType () {
		return $this->recipientType;
	}

	/**
	 * Getter for package tags in a simple array
	 *
	 * @return	$packageTags	An array with all tags for the currently handled package
	 */
	public final function getPackageTags () {
		return $this->packageTags;
	}

	/**
	 * Setter for package tags in a simple array
	 *
	 * @param	$packageTags	An array with all tags for the currently handled package
	 * @return	void
	 */
	public final function setPackageTags (array $packageTags) {
		$this->packageTags = $packageTags;
	}

	/**
	 * Tries to determine the used protocol for this package (this helper is helping to send out)
	 *
	 * @return	$protocolType	Type of protocol to use, usually TCP
	 * @todo	0% done
	 */
	public function determineProtocolType () {
		die(__METHOD__ . ':' . print_r($this, TRUE));
		// Return it
	}
}

// [EOF]
?>
